controllers/CamionesController.php
<?php

namespace app\controllers;

use app\models\Camiones;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Naves;
use yii\helpers\Html;


/**
 * CamionesController implements the CRUD actions for Camiones model.
 */
class CamionesController extends Controller
{
    /**
     * @inheritDoc
     */
    
    
    
    /**
  Consulta para sacar los camiones que necesitan ser reparados
 */
    public function actionConsultareparaciones(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->where("revision=0"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        return $this->render("resultadosrepara",[
           "resultadosrepara"=>$dataProvider,
           "campos"=>['matricula','modelo_completo','revision'],
           "titulo"=>"Mantenimiento Camiones",
           "enunciado"=>"Listado de camiones que necesitan de mantenimiento ",
           "sql"=>' '
       ]);
        
    }
   
    public function actionConsultatest(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->where("estado='Disponible'"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        
        
        return $this->render("resultados",[
           "resultados"=>$dataProvider,
          
           "campos"=>['matricula','modelo_completo','codigo_nave'],
           "titulo"=>"Camiones Disponibles",
           "enunciado"=>"Listado de camiones que actualmente se encuentra disponibles para formalizar cargas ",
           "sql"=>' '
       ]);
        
    }
    public function actionConsultadef(){
        
      
        
        $dataProvider = new \yii\data\SqlDataProvider([
           
           'sql'=>'SELECT DISTINCT c.matricula, c.modelo_completo, n.ubicacion FROM naves n INNER JOIN camiones c USING(codigo_nave) WHERE c.estado = "Disponible" ',
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        $dataProvider->setSort([
        'attributes' => [
            'matricula',
            'modelo_completo',
            'ubicacion',
            
            'lastReportResult' => [
                'asc' => ['lastReportResult' =>SORT_ASC ],
                'desc' => ['lastReportResult' => SORT_DESC],
                'default' => SORT_ASC
            ],
            'reportPercentDiff'
        ]
    ]);
        
       return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo','ubicacion' ],
           "titulo"=>"Camiones Disponibles",
           "enunciado"=>"Listado de camiones que actualmente se encuentran disponibles para formalizar cargas ",
           "sql"=>" "
       ]);
        
        
    }
    
    public function actionConsultadef2(){
        
      
        
        $dataProvider = new \yii\data\SqlDataProvider([
           
           'sql'=>'SELECT DISTINCT c.matricula, c.modelo_completo, n.ubicacion FROM naves n INNER JOIN camiones c USING(codigo_nave) WHERE c.estado = "Trabajando" ',
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        $dataProvider->setSort([
        'attributes' => [
            'matricula',
            'modelo_completo',
            'ubicacion',
            
            'lastReportResult' => [
                'asc' => ['lastReportResult' =>SORT_ASC ],
                'desc' => ['lastReportResult' => SORT_DESC],
                'default' => SORT_ASC
            ],
            'reportPercentDiff'
        ]
    ]);
        
       return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo','ubicacion' ],
           "titulo"=>"Camiones Trabajando",
           "enunciado"=>"Listado de camiones que actualmente se encuentran trabajando ",
           "sql"=>" "
       ]);
        
        
    }
    
    
    
    public function actionConsultadispotest(){
        
      
        
        $dataProvider = new \yii\data\SqlDataProvider([
           
           'sql'=>'SELECT * FROM camiones WHERE estado = "Trabajando"',
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        
       return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo'],
           "titulo"=>"Camiones Trabajando",
           "enunciado"=>" ",
           "sql"=>" "
       ]);
        
        
    }
    public function actionConsultadisponibilidadcamiones1(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->where("estado='Disponible'"),
           'pagination'=>[
               'pageSize' =>5,
           ]
       ]);
        
        
        return $this->render("resultados",[
            
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo','ubicacion'],
           "titulo"=>"Camiones Disponibles",
           "enunciado"=>" ",
           "sql"=>' '
       ]);
        
    }
    
    public function actionConsultadispo(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->where("estado='Trabajando'"),
           'pagination'=>[
               'pageSize' =>5,
           ]
       ]);
        
        
        return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo'],
           "titulo"=>"Camiones Trabajando",
           "enunciado"=>" ",
           "sql"=>' '
       ]);
        
    }
    
    
    
     public function actionConsultadisponibilidadcamiones2(){
        
      
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                ->select("matricula","modelo_completo")
                ->distinct()
                ->where("estado='Trabajando'"),
           'pagination'=>[
               'pageSize' =>5,
           ]
       ]);
        
        
        return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo'],
           "titulo"=>"Camiones en Ruta",
           "enunciado"=>" ",
           "sql"=>' '
       ]);
        
        
    }
    /**
  Consulta para sacar el kilometraje de los camiones
 */
    public function actionConsultakilometrajecamiones(){
        
      
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->distinct()
                ->orderBy("kilometros"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        return $this->render("resultadoskm",[
           "resultadoskm"=>$dataProvider,
           "campos"=>['matricula','modelo_completo', 'kilometros'],
           "titulo"=>"Kilometraje Camiones",
           "enunciado"=>"Listado de camiones ordenados por su kilometraje ",
           "sql"=>' '
       ]);
        
        
    }
    /**
  Consulta para sacar el consumo de los camiones
 */
     public function actionConsultaconsumocamiones(){
        
      
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->distinct()
                ->orderBy("consumo"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        return $this->render("resultadosconsumo",[
           "resultadosconsumo"=>$dataProvider,
           "campos"=>['matricula','modelo_completo', 'consumo'],
           "titulo"=>"Consumo Camiones",
           "enunciado"=>"Listado de camiones ordenados por su consumo ",
           "sql"=>' '
       ]);
        
        
    }
    
    
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Camiones models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Camiones::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'codigo_camion' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }
    
     public function actionBusquedas()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Camiones::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'codigo_camion' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('busquedas', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Camiones model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)

controllers/NavesController.php
<?php

namespace app\controllers;

use app\models\Naves;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * NavesController implements the CRUD actions for Naves model.
 */
class NavesController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Naves models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Naves::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'codigo_nave' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Naves model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Naves model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Naves();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'id' => $model->codigo_nave]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Naves model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->codigo_nave]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Naves model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Naves model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Naves the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Naves::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\ActiveDataProvider;
use yii\data\SqlDataProvider;
use app\models\Naves;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    
    
       public function actionMostrarnaves(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Naves::find()
                
       ]);
        
        
        return $this->render("naves",[
           "dataProvider"=>$dataProvider,
      
       ]);
        
    }
     
    
    
    
    
    
    
    
    
    
     
    
    
    
    
    
    
    
    
    
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    public function actionVistabusquedas()
    {
        return $this->render('vistabusquedas');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
}

views/site/_naves.php
<?php

use yii\helpers\Html;

$this->title = 'Localizaciones';
?>



          
            
            <div class="fondonaves">
                
                 <?= '<p style="text-transform:uppercase;">'.$model->ubicacion.'</p>' ?>
                 <?= '<p>'."Nombre Responsable: " , $model->nombre_responsable.'</p>' ?>
                 <?= '<p>'."Teléfono: " , $model->telefono.'</p>' ?></p>
                 <?= '<p>'."Metros Cuadrados: " , $model->metros_cuadrados.'</p>' ?>
                 <?= '<p>'.$model->mapa.'</p>'?>
                
                
            </div>
</br>
                
        
             
     
            
            
                
        

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php
use yii\helpers\Html;
/* @var $this yii\web\View */

$this->title = 'TNS® HOME';
?>
<div class="site-index">


    
    <div class="body-content  ">

        <div class="rowhome test" >
         <a href="camiones/index" > 
            <div class="col-sm-3 ">
                <?= Html::img('../web/img/trucksbutton.png');?>
            </div>
        </a>
            <a href="choferes/index" > 
            <div class="col-sm-3 ">
                <?= Html::img('../web/img/choferes.png');?>
            </div>
                </a>
            <a href="camiones/consultareparaciones" > 
                
                
            <div class="col-sm-3 ">
               <?= Html::img('../web/img/repairsbutton.png');?> 
            </div>
                </a>
            <a href="site/vistabusquedas" > 
            <div class="col-sm-3 ">
                <?= Html::img('../web/img/searchbutton.png');?>
            </div>
                </a>
        </div>
        
        
         <div class="rowhome test">
            <a href="furgonetas/index" > 
             <div class="col-sm-3 ">
                <?= Html::img('../web/img/vansbutton.png');?>
            </div>
                </a>
             <a href="repartidores/index" > 
            <div class="col-sm-3 ">
                <?= Html::img('../web/img/repartidores.png');?>
            </div>
                 </a>
                 <a href="cargas/index" > 
            <div class="col-sm-3">
                <?= Html::img('../web/img/deliverynotesbutton.png');?>
            </div>
                     </a>
            <a href="paquetes/index" > 
            <div class="col-sm-3 ">
                <?= Html::img('../web/img/paquetes.png');?>
            </div>
                </a>
        </div>

    </div>
</div>

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
            'labelOptions' => ['class' => 'col-lg-1 col-form-label'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"offset-lg-1 col-lg-3 custom-control custom-checkbox\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="offset-lg-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="offset-lg-1" style="color:#999;">
        You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
        To modify the username/password, please check out the code <code>app\models\User::$users</code>.
    </div>
</div>

views/site/naves.php
<?php

use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
use yii\data\ActiveDataProvider;
$titulo = "LOCALIZACIONES";

?>


<div class ="well well-sm"> <h2 style="text-align: center; max-height: 50px; font-family: fugaz; color: #262650; font-size: 2.5rem;" ><?= $titulo ?> </h2> </div>



<p style="text-align: center; font-family: fugaz">
    
   <?= Html::a('Acceso Naves', ['naves/index'], ['class' => 'btn btn-success']) ?>
    
</p>

<div>
    <?= Listview::widget([
        'id'=>'naves',
    'dataProvider' => $dataProvider,
    'itemView' => '_naves',
    'layout' => "\n{items}",
        
    ]);
?>
    
</div>

views/site/resultados.php
<?php

use yii\grid\GridView;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado ?> </p>
    <div class="well">
    <?= $sql ?>
    </div>
    
</div>

<?=
   GridView::widget([
   'dataProvider' => $resultados,
   'columns' => $campos
           
]); ?>

views/site/vistabusquedas.php
<?php
use yii\helpers\Html;
/* @var $this yii\web\View */

$this->title = 'TNS® BÚSQUEDAS';
?>

<div class ="well well-sm"> <h2 style=" max-height: 50px; font-family: fugaz; color: #262650; font-size: 2.5rem; margin-bottom: 45px; margin-left: 463px;" ><?= "BÚSQUEDAS" ?> </h2> </div>
<div class="site-index">


    
    
    <div class="body-content botonesconsultas  ">

        <div class="rowhome margenesconsultas" >
          
            
            <div class="col-sm-3  ">
                <?= Html::a( Html::img('@web/img/camionesdisponibles.png', ['alt' => 'Consulta1']),['camiones/consultadef']) ?>
                
            </div>
                
        
             
            <div class="col-sm-3 ">
                <?= Html::a( Html::img('@web/img/camionestrabajando.png', ['alt' => 'Consulta2']),['camiones/consultadef2']) ?>
            </div>
                
           
            
                
            
            
                
        </div>
        
        
         <div class="rowhome margenesconsultas">
            
              <div class="col-sm-3 ">
                <?= Html::a( Html::img('@web/img/furgonetasdisponibles.png', ['alt' => 'Consulta7']),['furgonetas/consultadisponibilidadfurgonetas']) ?>
            </div>
        
             
            <div class="col-sm-3 ">
                <?= Html::a( Html::img('@web/img/furgonetastrabajando.png', ['alt' => 'Consulta8']),['furgonetas/consultadisponfur']) ?>
            </div>
                 
                 
            
                     
            
                
        </div>
        
        
         <div class="rowhome   margenesconsultas" >
          
           <div class="col-sm-3 ">
                 <?= Html::a( Html::img('@web/img/kilometrajecamiones.png', ['alt' => 'Consulta3']),['camiones/consultakilometrajecamiones']) ?>
            </div>
                
             <div class="col-sm-3">
                <?= Html::a( Html::img('@web/img/consumocamiones.png', ['alt' => 'Consulta6']),['camiones/consultaconsumocamiones']) ?>
            </div>
            
            
             
           
                
        </div>
        
        
        <div class="rowhome filaconsultas2">
            
            <div class="col-sm-3 ">
               <?= Html::a( Html::img('@web/img/kilometrajefurgonetas.png', ['alt' => 'Consulta9']),['furgonetas/consultakilometrajefurgonetas']) ?>
            </div>
                 
                 
            <div class="col-sm-3">
               <?= Html::a( Html::img('@web/img/consumofurgonetas.png', ['alt' => 'Consulta12']),['furgonetas/consultaconsumofurgonetas']) ?>
            </div>
                     
            
                
        </div>
        
        

    </div>
</div>